package io.data2viz.charts.chart

import io.data2viz.charts.core.*

/**
 * The [Chart] tooltip visual component.
 */
public interface Tooltip<DOMAIN> {

    /**
     * Set the [Datum] formatter, by default, check if the Datum.domain object implements the [Labelled] interface and
     * displays Datum.domain.label, else the formatter will try to display infos based on the dimension used.
     *
     * @see [Labelled]
     */
    public var formatter: (Datum<DOMAIN>.() -> String)?

}

