package io.data2viz.charts.dimension

import io.data2viz.charts.core.Datum

/**
 * A [ContinuousDimension] is a [Dimension] that handle continuous values: [Double], [LocalDateTime].
 */
public abstract class ContinuousDimension<DOMAIN, VALUE>
    internal constructor(
        accessor: Datum<DOMAIN>.() -> VALUE,
        parentDimension: ContinuousDimension<DOMAIN, VALUE>? = null
) : Dimension<DOMAIN, VALUE>(accessor, parentDimension) {

    override val isDiscrete: Boolean = false

}
